"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkisUpdateAvailable = checkisUpdateAvailable;
exports.onCompleteUpdate = onCompleteUpdate;
exports.startUpdate = startUpdate;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-inapp-update' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const InappUpdate = _reactNative.NativeModules.InappUpdate ? _reactNative.NativeModules.InappUpdate : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

}); //

/**
 *@returns {Promise<string>}
 */
function checkisUpdateAvailable() {
  return InappUpdate.checkUpdateStatus();
}
/**
 * @param {appUpdateType} appUpdateType
 * @param {string} clientVersionStalenessDays
 * @returns {Promise<string>}
 *
 */


function startUpdate(appUpdateType, clientVersionStalenessDays) {
  return InappUpdate.checkAppUpdate(appUpdateType === 'FLEXIBLE' ? 0 : 1, !!clientVersionStalenessDays ? clientVersionStalenessDays : 0);
}
/**
 * @return {promise<string>}
 */


function onCompleteUpdate() {
  return InappUpdate.completeUpdate();
}
//# sourceMappingURL=index.js.map