/**
 * Whether the iOS APNs message was configured as a background update notification.
 */
export declare type CheckOptions = {
    /**
     * The semver of your current app version
     */
    curVersion?: string;
    /**
     * This will run right after the store version is fetched in case you want to change it before it's compared as a semver
     */
    toSemverConverter?: (version: SemverVersionCode | SemverVersion) => SemverVersion;
    /**
     * By default this library uses semver behind the scenes to compare the store version with the curVersion value, but you can pass your own version comparator if you want to
     */
    customVersionComparator?: (v1: SemverVersion, v2: SemverVersion) => -1 | 0 | 1;
    /**
     * ISO 3166-1 country code (iOS only)
     */
    country?: string;
};
export declare type SemverVersion = string;
export declare type SemverVersionCode = number;
export declare const compareVersions: (versionToCheck: SemverVersion, checkAgainst: SemverVersion) => 0 | 1 | -1;
